curl --request GET \
--url https://app.fullenrich.com/api/v2/contact/enrich/bulk/{enrichment_id} \
--header 'Authorization: Bearer <token>'{
"id": "2db5ea61-1752-42cf-8ea1-ab1da060cd0a",
"name": "Sales Operations in London",
"status": "FINISHED",
"cost": {
"credits": 14
},
"data": [
{
"input": {
"first_name": "John",
"last_name": "Snow",
"company_domain": "example.com",
"company_name": "Example Inc",
"linkedin_url": "https://www.linkedin.com/in/demoge/"
},
"custom": {
"user_id": "12584"
},
"contact_info": {
"most_probable_work_email": {
"email": "john.snow@example.com",
"status": "DELIVERABLE"
},
"most_probable_personal_email": {
"email": "johnsnow@gmail.com",
"status": "DELIVERABLE"
},
"most_probable_phone": {
"number": "+1 555-123-4567",
"region": "US"
},
"work_emails": [
{
"email": "john.snow@example.com",
"status": "DELIVERABLE"
}
],
"personal_emails": [
{
"email": "johnsnow@gmail.com",
"status": "DELIVERABLE"
}
],
"phones": [
{
"number": "+1 555-123-4567",
"region": "US"
},
{
"number": "+33 6 12 34 56 78",
"region": "FR"
}
]
},
"profile": {
"id": "746e4816-19c8-54d8-b558-65a5a52cc85c",
"full_name": "John Snow",
"first_name": "John",
"last_name": "Snow",
"location": {
"country": "United States",
"country_code": "US",
"city": "San Francisco",
"region": "California"
},
"social_profiles": {
"linkedin": {
"url": "https://www.linkedin.com/in/demoge/",
"handle": "demoge",
"connection_count": 500
}
},
"educations": [
{
"school_name": "Stanford University",
"degree": "Bachelor of Science in Computer Science",
"start_at": "2015-09-01T00:00:00Z",
"end_at": "2019-06-01T00:00:00Z"
}
],
"languages": [
{
"language": "English",
"code": "EN"
},
{
"language": "French",
"code": "FR"
}
],
"skills": [
"Sales Operations",
"Business Development",
"CRM Management"
],
"employment": {
"current": {
"title": "Head of Sales Operations",
"is_current": true,
"start_at": "2022-03-15T00:00:00Z",
"company": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Example Inc",
"domain": "example.com",
"description": "Leading example company",
"year_founded": 2010,
"headcount": 250,
"company_type": "Privately Held",
"locations": {
"headquarters": {
"line1": "123 Market St",
"line2": "San Francisco, CA 94105, US",
"city": "San Francisco",
"region": "California",
"country": "United States",
"country_code": "US"
},
"offices": [
{
"line1": "456 Broadway",
"line2": "New York, NY 10013, US"
}
]
},
"industry": {
"main_industry": "Software Development"
},
"social_profiles": {
"linkedin": {
"url": "https://www.linkedin.com/company/example-inc",
"handle": "example-inc",
"connection_count": 12000
}
}
}
},
"all": [
{
"title": "Head of Sales Operations",
"is_current": true,
"start_at": "2022-03-15T00:00:00Z",
"company": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Example Inc",
"domain": "example.com",
"description": "Leading example company",
"year_founded": 2010,
"headcount": 250,
"company_type": "Privately Held",
"locations": {
"headquarters": {
"line1": "123 Market St",
"line2": "San Francisco, CA 94105, US",
"city": "San Francisco",
"region": "California",
"country": "United States",
"country_code": "US"
},
"offices": [
{
"line1": "456 Broadway",
"line2": "New York, NY 10013, US"
}
]
},
"industry": {
"main_industry": "Software Development"
},
"social_profiles": {
"linkedin": {
"url": "https://www.linkedin.com/company/example-inc",
"handle": "example-inc",
"connection_count": 12000
}
}
}
},
{
"title": "Sales Manager",
"is_current": false,
"start_at": "2019-07-01T00:00:00Z",
"end_at": "2022-03-01T00:00:00Z",
"company": {
"id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"name": "Previous Corp",
"domain": "previouscorp.com",
"description": "Enterprise software solutions",
"year_founded": 2005,
"headcount": 500,
"company_type": "Privately Held",
"locations": {
"headquarters": {
"line1": "789 5th Ave",
"line2": "New York, NY 10022, US",
"city": "New York",
"region": "New York",
"country": "United States",
"country_code": "US"
},
"offices": []
},
"industry": {
"main_industry": "Software Development"
},
"social_profiles": {
"linkedin": {
"url": "https://www.linkedin.com/company/previous-corp",
"handle": "previous-corp",
"connection_count": 8000
}
}
}
}
]
}
}
}
]
}Use this endpoint to retrieve the result from an enrich. You don’t need to use this endpoint if you are using a webhook. Using a webhook is the method we recommend to get the result as soon as the enrichment is done.
curl --request GET \
--url https://app.fullenrich.com/api/v2/contact/enrich/bulk/{enrichment_id} \
--header 'Authorization: Bearer <token>'{
"id": "2db5ea61-1752-42cf-8ea1-ab1da060cd0a",
"name": "Sales Operations in London",
"status": "FINISHED",
"cost": {
"credits": 14
},
"data": [
{
"input": {
"first_name": "John",
"last_name": "Snow",
"company_domain": "example.com",
"company_name": "Example Inc",
"linkedin_url": "https://www.linkedin.com/in/demoge/"
},
"custom": {
"user_id": "12584"
},
"contact_info": {
"most_probable_work_email": {
"email": "john.snow@example.com",
"status": "DELIVERABLE"
},
"most_probable_personal_email": {
"email": "johnsnow@gmail.com",
"status": "DELIVERABLE"
},
"most_probable_phone": {
"number": "+1 555-123-4567",
"region": "US"
},
"work_emails": [
{
"email": "john.snow@example.com",
"status": "DELIVERABLE"
}
],
"personal_emails": [
{
"email": "johnsnow@gmail.com",
"status": "DELIVERABLE"
}
],
"phones": [
{
"number": "+1 555-123-4567",
"region": "US"
},
{
"number": "+33 6 12 34 56 78",
"region": "FR"
}
]
},
"profile": {
"id": "746e4816-19c8-54d8-b558-65a5a52cc85c",
"full_name": "John Snow",
"first_name": "John",
"last_name": "Snow",
"location": {
"country": "United States",
"country_code": "US",
"city": "San Francisco",
"region": "California"
},
"social_profiles": {
"linkedin": {
"url": "https://www.linkedin.com/in/demoge/",
"handle": "demoge",
"connection_count": 500
}
},
"educations": [
{
"school_name": "Stanford University",
"degree": "Bachelor of Science in Computer Science",
"start_at": "2015-09-01T00:00:00Z",
"end_at": "2019-06-01T00:00:00Z"
}
],
"languages": [
{
"language": "English",
"code": "EN"
},
{
"language": "French",
"code": "FR"
}
],
"skills": [
"Sales Operations",
"Business Development",
"CRM Management"
],
"employment": {
"current": {
"title": "Head of Sales Operations",
"is_current": true,
"start_at": "2022-03-15T00:00:00Z",
"company": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Example Inc",
"domain": "example.com",
"description": "Leading example company",
"year_founded": 2010,
"headcount": 250,
"company_type": "Privately Held",
"locations": {
"headquarters": {
"line1": "123 Market St",
"line2": "San Francisco, CA 94105, US",
"city": "San Francisco",
"region": "California",
"country": "United States",
"country_code": "US"
},
"offices": [
{
"line1": "456 Broadway",
"line2": "New York, NY 10013, US"
}
]
},
"industry": {
"main_industry": "Software Development"
},
"social_profiles": {
"linkedin": {
"url": "https://www.linkedin.com/company/example-inc",
"handle": "example-inc",
"connection_count": 12000
}
}
}
},
"all": [
{
"title": "Head of Sales Operations",
"is_current": true,
"start_at": "2022-03-15T00:00:00Z",
"company": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Example Inc",
"domain": "example.com",
"description": "Leading example company",
"year_founded": 2010,
"headcount": 250,
"company_type": "Privately Held",
"locations": {
"headquarters": {
"line1": "123 Market St",
"line2": "San Francisco, CA 94105, US",
"city": "San Francisco",
"region": "California",
"country": "United States",
"country_code": "US"
},
"offices": [
{
"line1": "456 Broadway",
"line2": "New York, NY 10013, US"
}
]
},
"industry": {
"main_industry": "Software Development"
},
"social_profiles": {
"linkedin": {
"url": "https://www.linkedin.com/company/example-inc",
"handle": "example-inc",
"connection_count": 12000
}
}
}
},
{
"title": "Sales Manager",
"is_current": false,
"start_at": "2019-07-01T00:00:00Z",
"end_at": "2022-03-01T00:00:00Z",
"company": {
"id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"name": "Previous Corp",
"domain": "previouscorp.com",
"description": "Enterprise software solutions",
"year_founded": 2005,
"headcount": 500,
"company_type": "Privately Held",
"locations": {
"headquarters": {
"line1": "789 5th Ave",
"line2": "New York, NY 10022, US",
"city": "New York",
"region": "New York",
"country": "United States",
"country_code": "US"
},
"offices": []
},
"industry": {
"main_industry": "Software Development"
},
"social_profiles": {
"linkedin": {
"url": "https://www.linkedin.com/company/previous-corp",
"handle": "previous-corp",
"connection_count": 8000
}
}
}
}
]
}
}
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The unique identifier returned when the enrichment was started
Default = False. This parameter forces the API to return what has been found so far, even if the enrichment is not finished. This may result in missing information and is not recommended for regular use.
OK
"2db5ea61-1752-42cf-8ea1-ab1da060cd0a"
"Sales Operations in London"
CREATED, IN_PROGRESS, CANCELED, CREDITS_INSUFFICIENT, FINISHED, RATE_LIMIT, UNKNOWN "FINISHED"
Show child attributes
Show child attributes
Was this page helpful?